Bug 207303 - cannot rebuild gcc when build_java is 0
cannot rebuild gcc when build_java is 0
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gcc (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-20 11:51 EDT by John Reiser
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHSA-2007-0220
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 13:08:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch which adds required %if %{build_java} (1.16 KB, patch)
2006-09-20 11:51 EDT, John Reiser
no flags Details | Diff

  None (edit)
Description John Reiser 2006-09-20 11:51:08 EDT
Description of problem: Rebuilding gcc-3.4.6-3 fails when build_java is 0. 
There are two places in the .spec that need "%if %{build_java}".


Version-Release number of selected component (if applicable):
gcc-3.4.6-3

How reproducible:
always

Steps to Reproduce:
1. Change build_java to 0 at line 10 of the .spec .
2. rpmbuild -ba --target i686 gcc.spec
3.
  
Actual results:
+ sed -i -e 's/lib: /&%{static:%eJava programs cannot be linked statically}/'
/var/tmp/gcc-3.4.6-3-root/usr/lib/gcc/i686-redhat-linux/3.4.6/libgcj.spec
sed: can't read
/var/tmp/gcc-3.4.6-3-root/usr/lib/gcc/i686-redhat-linux/3.4.6/libgcj.spec: No
such file or directory
   <<then, after fixing that problem, there is another:>>
+ mv -f /var/tmp/gcc-3.4.6-3-root/usr/share/java/libgcj-3.4.6.jar
/var/tmp/gcc-3.4.6-3-root/usr/share/java/libgcj-3.4.3.jar
mv: cannot stat `/var/tmp/gcc-3.4.6-3-root/usr/share/java/libgcj-3.4.6.jar': No
such file or directory


Expected results:
successful build


Additional info:  Patch will be attached.
Comment 1 John Reiser 2006-09-20 11:51:08 EDT
Created attachment 136750 [details]
patch which adds required %if %{build_java}
Comment 7 Red Hat Bugzilla 2007-05-01 13:08:28 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0220.html

Note You need to log in before you can comment on or make changes to this bug.